From 6b1884635a4bac85fe2a9a04d685cc80dc84a909 Mon Sep 17 00:00:00 2001
From: Aaron Jensen <aaronjensen@gmail.com>
Date: Sat, 16 Jun 2018 01:13:21 -0700
Subject: [PATCH] Test

---
 src/data.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/src/data.c b/src/data.c
index 49c3dd834b..1133dc02da 100644
--- a/src/data.c
+++ b/src/data.c
@@ -1710,11 +1710,12 @@ set_default_internal (Lisp_Object symbol, Lisp_Object value,
 	       set it in the buffers that don't nominally have a local value.  */
 	    if (idx > 0)
 	      {
+                Lisp_Object tail, buf;
 		struct buffer *b;
 
-		FOR_EACH_BUFFER (b)
-		  if (!PER_BUFFER_VALUE_P (b, idx))
-		    set_per_buffer_value (b, offset, value);
+		FOR_EACH_LIVE_BUFFER (tail, buf)
+		  if (!PER_BUFFER_VALUE_P (XBUFFER (buf), idx))
+		    set_per_buffer_value (XBUFFER (buf), offset, value);
 	      }
 	  }
 	else
-- 
2.17.1

